Name:       logrotate
Version:    3.8.3
Release:    %mkrel 2
Summary:    Rotates, compresses, removes and mails system log files
License:    GPLv2
Group:      File tools
URL:        https://fedorahosted.org/logrotate/
Source0:    https://fedorahosted.org/releases/l/o/logrotate/%{name}-%{version}.tar.gz
Source1:    logrotate.conf
Source2:    logrotate.cron
BuildRequires:  popt-devel
BuildRequires:  acl-devel
BuildRequires:	acl
Requires(post): coreutils

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.

%prep
%setup -q

%build
# needed as there is no configure script
export LDFLAGS="`rpm --eval %%configure|grep LDFLAGS|cut -d\\" -f2|sed -e 's/\$LDFLAGS\ //'`"

%make RPM_OPT_FLAGS="%{optflags}" WITH_SELINUX=no WITH_ACL=yes LDFLAGS="$LDFLAGS"

%install
%{__rm} -rf %{buildroot}
%{make} PREFIX=%{buildroot} MANDIR=%{_mandir} install

%{__mkdir_p} %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf

%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}.d

%check
%make test

%post
if [ $1 = 1 ]; then
    # installation
    /bin/touch %{_var}/lib/logrotate.status
fi

%files
%doc CHANGES COPYING examples README*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}
%{_sysconfdir}/%{name}.d
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
%{_mandir}/man5/%{name}.conf.5*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.8.3-2.mga3
+ Revision: 358939
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 luigiwalser <luigiwalser> 3.8.3-1.mga3
+ Revision: 308296
- 3.8.3

* Sat Aug 04 2012 luigiwalser <luigiwalser> 3.8.2-1.mga3
+ Revision: 278500
- 3.8.2

* Thu Oct 06 2011 shlomif <shlomif> 3.8.1-1.mga2
+ Revision: 152482
- New version by barjac

* Mon Jul 04 2011 ahmad <ahmad> 3.8.0-1.mga2
+ Revision: 117993
- Update to 3.8.0, fixes:
   CVE-2011-1098
   CVE-2011-1154
   CVE-2011-1155
- Drop patch0, fixed upstream
- Add BR acl-devel and compile with WITH_ACL
- Put 'make test' in a %%check section

* Tue Mar 15 2011 misc <misc> 3.7.9-3.mga1
+ Revision: 71525
- remove old Conflicts
- add requires on coreutils, seen by jbj buildbot
- fix License

  + tmb <tmb>
    - imported package logrotate

